%define lib_major 2
%define lib_name %mklibname evdev %{lib_major}
%define develname %mklibname -d evdev

Name:		libevdev
Version:	1.5.6
Release:	%mkrel 1
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries
License:	MIT
URL:		http://www.freedesktop.org/wiki/Software/libevdev
Source0:	http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz

%description
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package	tools
Summary:	Tools for libinput
Group:		System/Base

%description	tools
This package contains the %{name} tools.

%package -n	%{lib_name}
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries

%description -n	%{lib_name}
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package -n	%{develname}
Summary:	Kernel Evdev Device Wrapper Library Development Package
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n	%{develname}
Kernel Evdev Device Wrapper Library Development Package.

%prep
%setup -q
%autopatch -p1

%build
autoreconf --force -v --install || exit 1
%configure2_5x \
	--disable-static \
	--disable-silent-rules \
	--disable-gcov
%make

%install
%makeinstall_std

# We intentionally don't ship *.la files
find %{buildroot} -name "*.la" -delete

%files tools
%{_bindir}/touchpad-edge-detector
%{_bindir}/libevdev-tweak-device
%{_bindir}/mouse-dpi-tool

%files -n %{lib_name}
%{_libdir}/libevdev.so.%{lib_major}{,.*}

%files -n %{develname}
%doc COPYING
%{_includedir}/libevdev-1.0/
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc
%{_mandir}/man3/libevdev.3.*


%changelog
* Sat Jan 07 2017 luigiwalser <luigiwalser> 1.5.6-1.mga6
+ Revision: 1080387
- 1.5.6

* Tue Dec 06 2016 luigiwalser <luigiwalser> 1.5.5-1.mga6
+ Revision: 1072829
- 1.5.5

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.5.4-1.mga6
+ Revision: 1051253
- 1.5.4

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.5.2-1.mga6
+ Revision: 1045382
- 1.5.2

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.4.6-1.mga6
+ Revision: 927478
- 1.4.6
- remove upstream patches

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.4.5-1.mga6
+ Revision: 917744
- 1.4.5
- add three bugfix patches from fedora

* Thu Sep 24 2015 tv <tv> 1.4.4-1.mga6
+ Revision: 883243
- new release

* Sun Jun 21 2015 ovitters <ovitters> 1.4.2-1.mga6
+ Revision: 837832
- add tools subpackage
- new version 1.4.2

* Wed Oct 15 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 743006
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-2.mga5
+ Revision: 681446
- Mageia 5 Mass Rebuild

* Tue Apr 01 2014 tv <tv> 1.1-1.mga5
+ Revision: 611061
- do not package    /usr/bin/touchpad-edge-detector for now
- new release

* Wed Feb 19 2014 tv <tv> 1.0-1.mga5
+ Revision: 594963
- adjust file list
- bump major
- new release

* Fri Nov 08 2013 wally <wally> 0.4-4.mga4
+ Revision: 549996
- disable gcov to suppress errors when closing apps using libevdev (rhbz#1012180)
- disable unittests
- drop BRs which are pulled anyways
- clean .spec

* Sat Oct 19 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 535203
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 ovitters <ovitters> 0.4-2.mga4
+ Revision: 481623
- fix requires

* Fri Sep 20 2013 ovitters <ovitters> 0.4-1.mga4
+ Revision: 481615
- imported package libevdev

